package com.hxgc.api;

import com.hxgc.Jifen;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;
import java.util.List;
import java.util.Map;


/**
 * 公司信息接口（api）的声明
 */

//feignclient 放入微服务的应用名
@FeignClient("hxgc-company")
@RequestMapping("company")
public interface CompanyApi {
    @PostMapping(value = "/save")
    public Map save(@RequestBody Jifen jifen);

    @PostMapping(value = "/update")
    public Map update(@RequestBody Jifen jifen);

    @GetMapping(value = "/delete")
    public Map deleteById(Integer jifenId) ;


    //注意传参问题 加上注解requestParam
    @GetMapping(value = "/{jifenId}")
    public Jifen findJifenById(@PathVariable Integer jifenId) ;

    @GetMapping(value = "/search")
    public Jifen search(Integer uid,String type);

    @PostMapping(value = "/searchByEntity")
    public List<Jifen> searchMap(@RequestBody  Jifen jifen) ;


}
